> For the complete documentation index, see [llms.txt](https://docs.easy.gg/scripting/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.easy.gg/scripting/bedwars-scripting/events/statuseffectadded.md).

# StatusEffectAdded

Example usage:

```lua
Events.StatusEffectAdded(function(event)
    if (event.statusEffect == StatusEffectType.NO_KNOCKBACK) then
        local player = event.entity:getPlayer()
        if (player == nil) then
            return
        end
        -- Give the player a knockback baguette
        InventoryService.giveItem(player, ItemType.BAGUETTE, 1, true)
    end
end)
```

### Parameters

#### entity: [Entity](/scripting/bedwars-scripting/objects/entity.md)

The entity that received the status effect.

#### statusEffect: [StatusEffectType](/scripting/bedwars-scripting/types/statuseffecttype.md)

The type of status effect that was added to the entity.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/events/statuseffectadded.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
